C# NX创建圆

 public static int Main(string[] args)
    {
        int retValue = 0;
        try
        {
            theProgram = new Program();

            //TODO: Add your application code here 
            NXOpen.Part workPart = theSession.Parts.Work;
           /* NXOpen.Point3d centerPoint3D = new Point3d(0,0,0);
            NXOpen.Point3d xDirection = new Point3d(50, 100, 50);
            NXOpen.Point3d yDirection = new Point3d(100, 100, 100);

            bool startAndEndGotFlipped;
            NXOpen.Arc line = workPart.Curves.CreateArc(centerPoint3D, pointon, endpoint, true, out startAndEndGotFlipped);*/
            NXOpen.Point3d center = new NXOpen.Point3d(0, 0, 0);
            NXOpen.Vector3d xvec = new NXOpen.Vector3d(0, 1, 0);
            NXOpen.Vector3d yvec = new NXOpen.Vector3d(0, 1, 0);
            NXOpen.Arc arc =  workPart.Curves.CreateArc(center, xvec, yvec, 5, 0, 2*System.Math.PI);
            arc.Color = 120;
            theProgram.Dispose();
        }
        catch (NXOpen.NXException ex)
        {
            // ---- Enter your exception handling code here -----

        }
        return retValue;
    }

 

评论
添加红包

请填写红包祝福语或标题

红包个数最小为10个

红包金额最低5元

当前余额3.43前往充值 >
需支付:10.00
成就一亿技术人!
领取后你会自动成为博主和红包主的粉丝 规则
hope_wisdom
发出的红包
实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、付费专栏及课程。

余额充值